Bug 91294 - rpm hangs when installing packages from graphical user interface
rpm hangs when installing packages from graphical user interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 17:23 EDT by Katherine Hord
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 20:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Katherine Hord 2003-05-20 17:23:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; YComp 5.0.2.4; 
Hotbar 4.1.8.0)

Description of problem:
When attempting to install a package ("file.rpm") by double-clicking on it from 
the graphical user interface, rpm begins (a screen indicates that a search of 
currently installed packages is under way, and then there is an indication that 
the package is queued for installation).  After clicking okay, rpm hangs.  I 
ran up2date as suggested by Red Hat technical support but the problem persists.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.See above.
2.
3.
    

Actual Results:  rpm hangs.  Must close rpm window and choose to kill 
application.

Expected Results:  The package should be installed.

Additional info:
Comment 1 Jeff Johnson 2003-05-21 20:08:40 EDT
The quick fix is to do
    rm -f /var/lib/rpm/__db*
to remove stale locks.

Both rpm-4.2-1 (Red Hat 9), and rpm-4.1.1 (Red Hat 8.0)
fix problems with leaving stale locks. Both are available
at
    ftp://ftp.rpm.org/pub/rpm/dist

Note You need to log in before you can comment on or make changes to this bug.